#ifndef __TMA568_H__
#define __TMA568_H__

//==============================================================================
//ref page 142, 143 of CYTMA568 Technical Reference Manual, Document No. 001-87666 Rev. **
//This structure corresponds to "Touch Record N"
typedef struct
{
  uint8_t touchtype;
  uint8_t tip;
  uint8_t eventid;
  uint8_t touchid;
  uint16_t X;
  uint16_t Y;
  uint8_t pressure;
  uint8_t major;
  uint8_t minor;
  uint8_t orientation;
} TMA568POINTSTRUCT;

//This structure corresponds to "Touch Report Structure"
typedef struct
{
  uint8_t largeobject;
  uint8_t numpoints;
  TMA568POINTSTRUCT points[9];
} TMA568RETURNSTRUCT;

#endif // !__TMA568_H__
